import datetime
from django.utils import timezone

from factory import LazyAttribute, SubFactory
from factory.fuzzy import FuzzyText, FuzzyChoice, FuzzyDateTime, FuzzyDate, FuzzyDecimal
from factory.django import DjangoModelFactory

ROLES = ('SHOP_USER', 'COOP_MANAGER')

class CustomUserFactory(DjangoModelFactory):

    email = FuzzyText(length=6, suffix="@mail.com")
    full_name = FuzzyText(length=15, prefix="TestName_")
    role = FuzzyChoice(ROLES)
    notify = FuzzyChoice(choices=(True, False))
    provider = FuzzyText(length=15, prefix="TestProvider_")
    email_verified = True
    # company = None

    class Meta:
        model = 'core.CustomUser'
